library(INLA)
print('hello world_INLA')
print(R.version)

INLA:::inla.dynload.workaround() ## LINUX WORKAROUND

## Test 1
n = 100; a = 1; b = 1; tau = 100
z = rnorm(n)
eta = a + b*z

scale = exp(rnorm(n))
prec = scale*tau
y = rnorm(n, mean = eta, sd = 1/sqrt(prec))


data = list(y=y, z=z)
formula = y ~ 1+z
result = inla(formula, family = "gaussian", data = data)

print(summary(result))

## Test 2
loc = matrix(runif(10*2),10,2)
mesh = inla.delaunay(loc)